<%--
  - FileName   : PuSuppFixApprPop.jsp
  - Author(s)  : lsm
  -
  --%>
<%@ page contentType="text/html; charset=utf-8" %>
<%@ page import="com.udapsoft.waf.system.HandlerStorage" %>
<%@ page import="kr.co.hsnc.common.util.ValueObject" %>
<%@ page import="kr.co.hsnc.common.sql.RowSet" %>
<%@ page import="com.udapsoft.waf.common.ui.*" %>
<%@ page import="com.udapsoft.waf.common.util.StringUtils" %>
<%@ page import="kr.co.hsnc.common.config.WAFConfig" %>
<%@ include file="/jsp/work/taglib.jsp" %>
<jsp:useBean id="ctx" class="com.udapsoft.waf.system.context.SessionContext" scope="session" />
<%
    ctx.init(request, response);
    HandlerStorage storage = ctx.getHandlerStorage();
    ValueObject params = storage.getParams();
    ValueObject user = storage.getUser();
    String event = storage.getEvent();
    
	RowSet getApprSrdList = storage.getRowSet("getApprSrdList");
	
	ValueObject vo = storage.getValueObject("getAppr");
	
	
	String yyyymmdd = (new java.text.SimpleDateFormat ("yyyy년 MM월 dd일")).format (new java.util.Date());
	String appr_date = (new java.text.SimpleDateFormat ("yyyyMMdd")).format (new java.util.Date());
%>


 <script type="text/javascript">
 
 	$(function(){
 	    
 	   $(window).load(function () {
 	        $(".gubun").each(function () {
 	            var rows = $(".gubun:contains('" + $(this).text() + "')");
 	            if (rows.length > 1) {
 	                rows.eq(0).attr("rowspan", rows.length);
 	                rows.not(":eq(0)").remove(); 
 	            }
 	        });
 	    });
 	   
 	   $(':radio[name^=test_]').click(function(){
 		   var grade = ['S','A', 'B', 'C', 'D'];
 		   var i = this.name.split('test_')[1]; 
 		   var index = $(':radio[name="test_' + i + '"]').index($(this));

 		   //$("#result_" + i).text($(this).val() + "점");
           $("#chkResultCd_" + i).val(grade[index]);
 	   });
 	  
 	   /*
 	   $(':radio[name="test_0"]').click(function(){
            $("#result_0").text($(':radio[name="test_0"]:checked').val() + "점");
            
            if($(':radio[name="test_0"]:checked').val() == "10")
            {
                $("#chkResultCd_0").val("A");
            }
            else if($(':radio[name="test_0"]:checked').val() == "9")
            {
                $("#chkResultCd_0").val("B");
            }
            else if($(':radio[name="test_0"]:checked').val() == "8")
            {
                $("#chkResultCd_0").val("C");
            }
            else if($(':radio[name="test_0"]:checked').val() == "7")
            {
                $("#chkResultCd_0").val("D");
            }
            else if($(':radio[name="test_0"]:checked').val() == "6")
            {
                $("#chkResultCd_0").val("E");
            }
                
	    });
 	   
		$(':radio[name="test_1"]').click(function(){
			$("#result_1").text($(':radio[name="test_1"]:checked').val() + "점");
			
			 if($(':radio[name="test_1"]:checked').val() == "15")
	            {
	                $("#chkResultCd_1").val("A");
	            }
	            else if($(':radio[name="test_1"]:checked').val() == "12")
	            {
	                $("#chkResultCd_1").val("B");
	            }
	            else if($(':radio[name="test_1"]:checked').val() == "10")
	            {
	                $("#chkResultCd_1").val("C");
	            }
	            else if($(':radio[name="test_1"]:checked').val() == "8")
	            {
	                $("#chkResultCd_1").val("D");
	            }
	            else if($(':radio[name="test_1"]:checked').val() == "6")
	            {
	                $("#chkResultCd_1").val("E");
	            }
		});
		
		$(':radio[name="test_2"]').click(function(){
			$("#result_2").text($(':radio[name="test_2"]:checked').val() + "점");
			
			 if($(':radio[name="test_2"]:checked').val() == "10")
	            {
	                $("#chkResultCd_2").val("A");
	            }
	            else if($(':radio[name="test_2"]:checked').val() == "8")
	            {
	                $("#chkResultCd_2").val("B");
	            }
	            else if($(':radio[name="test_2"]:checked').val() == "6")
	            {
	                $("#chkResultCd_2").val("C");
	            }
	            else if($(':radio[name="test_2"]:checked').val() == "4")
	            {
	                $("#chkResultCd_2").val("D");
	            }
	            else if($(':radio[name="test_2"]:checked').val() == "2")
	            {
	                $("#chkResultCd_2").val("E");
	            }
			 
		});
		
		$(':radio[name="test_3"]').click(function(){
			$("#result_3").text($(':radio[name="test_3"]:checked').val() + "점");
			
		 	if($(':radio[name="test_3"]:checked').val() == "10")
            {
                $("#chkResultCd_3").val("A");
            }
            else if($(':radio[name="test_3"]:checked').val() == "8")
            {
                $("#chkResultCd_3").val("B");
            }
            else if($(':radio[name="test_3"]:checked').val() == "6")
            {
                $("#chkResultCd_3").val("C");
            }
            else if($(':radio[name="test_3"]:checked').val() == "4")
            {
                $("#chkResultCd_3").val("D");
            }
            else if($(':radio[name="test_3"]:checked').val() == "2")
            {
                $("#chkResultCd_3").val("E");
            }

		});
		
		$(':radio[name="test_4"]').click(function(){
			$("#result_4").text($(':radio[name="test_4"]:checked').val() + "점");
			
			if($(':radio[name="test_4"]:checked').val() == "15")
            {
                $("#chkResultCd_4").val("A");
            }
            else if($(':radio[name="test_4"]:checked').val() == "12")
            {
                $("#chkResultCd_4").val("B");
            }
            else if($(':radio[name="test_4"]:checked').val() == "10")
            {
                $("#chkResultCd_4").val("C");
            }
            else if($(':radio[name="test_4"]:checked').val() == "8")
            {
                $("#chkResultCd_4").val("D");
            }
            else if($(':radio[name="test_4"]:checked').val() == "6")
            {
                $("#chkResultCd_4").val("E");
            }
		});
		
		$(':radio[name="test_5"]').click(function(){
			$("#result_5").text($(':radio[name="test_5"]:checked').val() + "점");
			
			if($(':radio[name="test_5"]:checked').val() == "5")
            {
                $("#chkResultCd_5").val("A");
            }
            else if($(':radio[name="test_5"]:checked').val() == "3")
            {
                $("#chkResultCd_5").val("B");
            }
            else if($(':radio[name="test_5"]:checked').val() == "0")
            {
                $("#chkResultCd_5").val("C");
            }
            else if($(':radio[name="test_5"]:checked').val() == "-3")
            {
                $("#chkResultCd_5").val("D");
            }
            else if($(':radio[name="test_5"]:checked').val() == "-5")
            {
                $("#chkResultCd_5").val("E");
            }
		});
		*/
		
		$("#btn_close").click(function(){
			parent.fLayerPopClose('SuppFixApprPop');
			//window.close();
		});
		
		$("#btn_save").click(function(){
		    
		    var f = document.form1;
		    
		    //if("<%=params.get("P_CHARGE_CD")%>" == "C" &&  $("#APPR_NOTE").val().length < 1 ) {
		 	//	alert("담당자 의견은 필수입니다. ");
		 	//	return  ;
		 	//}  
		    
		    $("#fevent").val("GET_SAVE");
		 	   
		 	   
		 	   if(confirm("저장하시겠습니까?"))
		 	   {
					submitXmlRequest("/supplier/purchase/PuSuppFixApprPopSave.screen", "GET_SAVE", f);
				}
		    
		});
		
		$(".icon_x").click(function(){
			parent.fLayerPopClose('SuppFixApprPop');
			//window.close();
		});
 	    
 	});
 	
 	
 	
 	$(document).ready(function(){
 		loadTest();
 	    if(<%=params.get("p_status")%> == "02" && "<%=params.get("P_CHARGE_CD")%>" == "S"){  //2016.5.11 완료상태에서 구매담당자 수정가능. 
 	    	jQuery("#save").hide();
 	    }else{
 	    	jQuery("#save").show();
 	    }
 		
 		//2016.4.21
 		if("<%=params.get("P_CHARGE_CD")%>" == "C"){
 			jQuery("#WRITE_NO").val("<%=params.get("user_id")%>");
	    	jQuery("#WRITE_NM").val("<%=params.get("user_nm")%>");
 		}
 		//else{
	    //	$(':radio[name="test_5"]').attr("disabled", true);
	    //}  
 		
 	    for(i=0; i < <%=getApprSrdList.size()%>; i++)
        {
 	       var index = $(':radio[name="test_'+i+'"]').index($(':radio[name="test_'+i+'"]:checked')) +1;
 	       if(index != 0)
           {
 	          if($(':radio[name="test_'+i+'"]:checked'))
 	 	       {
 	 	           $("#result_"+i+"").text($(':radio[name="test_'+i+'"]:checked').val());
 	 				
 	 	           if(index == "1")
 	               {
 	 	              $("#chkResultCd_"+i).val("S");
 	               }
 	 	           else if(index == "2")
 	               {
 	 	              $("#chkResultCd_"+i).val("A");
 	               }
 	 	           else if(index == "3")
 	               {
 	 	              $("#chkResultCd_"+i).val("B");
 	               }
 	 	           else if(index == "4")
 	               {
 	 	              $("#chkResultCd_"+i).val("C");
 	               }
 	 	           else if(index == "5")
 	               {
 	 	              $("#chkResultCd_"+i).val("D");
 	               }
 	 	        }
       		}
 	      
        }
 	    
 	});
 	
 	function doResult(resultObj) {
 		var f = document.form1;
 		
 		try 
 		{
 		   document.form1.isSubmit = false;
 		   
 		   if($("#fevent").val() == "GET_SAVE")
 		   {
 		      if (resultObj.getSuccess())	
 		      {
 		          alert("평가표 저장이 완료되었습니다.");
 		         window.close();  //2016.4.25 중복저장 오류 제거
 		          //winClose(); 
 		      }
 		      else
	          {
 		         dlgErrorMsg( resultObj );
	          }
 		   }
 		}
 		catch(errorObject) {
 	        showErrorDlg("doResult()", errorObject);
 		}
 	}

 	
	function test(obj, code) {
 	    
		var id = document.getElementById(obj.getAttribute("id")).getAttribute("id"); 	   
		
 	   	var cnt = obj.name.substring(obj.name.lastIndexOf("_")+1, obj.name.length);
   		document.getElementById("result_" + cnt).innerHTML = obj.value;
   		
   		var cnt2 = id.substring(id.indexOf("_")+1, id.lastIndexOf("_"));
   		
		var appr_cd = "";   		
		var idx = 0;
		var idx2 = 0;
		var total_1 = 0;
		var total_2 = 0;
		var total_3 = 0;
		var total_4 = 0;
		<%
		for(int k=0; k < getApprSrdList.size(); k++)
		{
		%>
	      total_1 += Number(document.getElementById("result_" + idx).innerHTML);
	      //document.getElementById("totalAll_0").innerHTML = total_1;
			if(document.getElementById("test_"+cnt2+"_" + idx).checked)
			{
				if(cnt2 == "1")
			    {
				    document.form1.chkResultCd_<%=k%>.value = "S";
			    }
				else if(cnt2 == "2")
			    {
				    document.form1.chkResultCd_<%=k%>.value = "A";
			    }
				else if(cnt2 == "3")
			    {
				    document.form1.chkResultCd_<%=k%>.value = "B";
			    }
				else if(cnt2 == "4")
			    {
				    document.form1.chkResultCd_<%=k%>.value = "C";
			    }
				else if(cnt2 == "5")
			    {
				    document.form1.chkResultCd_<%=k%>.value = "D";
			    }
				else
			    {
				    document.form1.chkResultCd_<%=k%>.value = "D";
			    }
			}
	     idx++;				
		<%
		}
		%>
	//document.getElementById("total_rate_all").innerHTML = total_1 + total_2 + total_3 + total_4;
	document.getElementById("total_value").innerHTML = total_1 + total_2 + total_3 + total_4;
	//document.form1.appr_tot_rate.value = total_1 + total_2 + total_3 + total_4;
	var total_test_value  = total_1 + total_2 + total_3 + total_4;
		if(total_test_value >= 55)
	    {
		    document.getElementById("total_level").innerHTML = "S등급";
		    document.form1.item_std_cd.value = "S";
	    }
		else if(total_test_value >= 50)
	    {
		    document.getElementById("total_level").innerHTML = "A등급";
		    document.form1.item_std_cd.value = "A";
	    }
		else if(total_test_value >= 45)
	    {
		    document.getElementById("total_level").innerHTML = "B등급";
		    document.form1.item_std_cd.value = "B";
	    }
		else if(total_test_value >= 35)
	    {
		    document.getElementById("total_level").innerHTML = "C등급";
		    document.form1.item_std_cd.value = "C";
	    }
		else
	    {
		    document.getElementById("total_level").innerHTML = "D등급";
		    document.form1.item_std_cd.value = "D";
	    }
 	}
 
 	function loadTest()
 	{
 	   <%
 	   for (int ll = 0; ll < getApprSrdList.size(); ll++) 
 	   {
 	   %>
 	  		var index = $(':radio[name="test_<%=ll%>"]').index($(':radio[name="test_<%=ll%>"]:checked'))+1;
 	  		
 	  		if(index == "1")
  		    {
 	  		    $("#test_1_<%=ll%>").click();
  		    }
 	  		else if(index == "2")
 	  		{
 	  		 	$("#test_2_<%=ll%>").click();
  		    }
 	  		else if(index == "3")
  		    {
 	  		 	$("#test_3_<%=ll%>").click();
  		    }
 	  		else if(index == "4")
  		    {
 	  		 	$("#test_4_<%=ll%>").click();
  		    }
 	  		else if(index == "5")
  		    {
 	  		 	$("#test_5_<%=ll%>").click();
  		    }
 	   <%
 	   }
 	   %>
 	}
 	
 	//첨부파일   
	function doAttachFile(obj) {
		var file_div = "payment/purchase/"+"<%=params.get("p_pur_cont_id")%>"+"/";
		var fileName = "현장평가표_"+"<%=params.get("corp_kor") %>";
		var upLoadFlg = "Y";
		viewFileListNew ("FIX_PUR_APPR", obj.value, document.form1.search_spot_button, upLoadFlg, file_div, null, null, null, null, "N", fileName);
	}
 </script>
 
<modular:search id="form1">
	<modular:key id="fevent" />
</modular:search>

<form id="form1" name="form1" method="post" modular:type="search">
<input type="hidden" name="fevent" id="fevent" value="">
<input type=hidden name="corp_id" id="corp_id" value="<%=params.get("p_corp_id") %>" />
<input type="hidden" name="corp_no" id="corp_no" value="<%=params.get("corp_no") %>" />
<input type="hidden" name="dept_cd" id="dept_cd" value="<%=params.get("p_dept_cd") %>" />
<input type="hidden" name="dept_nm" id="dept_nm" value="<%=params.get("dept_nm") %>" />
<input type="hidden" name="doc_cd" id="doc_cd" value="<%=params.get("doc_cd") %>" />
<input type="hidden" name="user_id" id="user_id" value="<%=params.get("user_id") %>" />
<input type="hidden" name="user_nm" id="user_nm" value="<%=params.get("user_nm") %>" />  <!--2016.4.20 현재작성자정보 저장  -->
<input type="hidden" name="user_id_before" id="user_id_before" value="<%=params.get("user_id_before") %>" />
<input type="hidden" name="user_nm_before" id="user_nm_before" value="<%=params.get("user_nm_before") %>" />  <!--2016.4.20 현재작성자정보 저장  -->
<input type="hidden" name="item_std_cd" id="item_std_cd" value="" />

<input type="hidden" name="ord_doc_no" id="ord_doc_no" value="<%=params.get("p_ord_doc_no") %>" />
<input type="hidden" name="cont_id" id="cont_id" value="<%=params.get("p_pur_cont_id") %>" />
<input type="hidden" name="listSize" id="listSize" value="<%=getApprSrdList.size() %>" />
<input type="hidden" name="appr_date" id="appr_date" value="<%=appr_date %>" />


<input type="hidden" name="WRITE_NO" id="WRITE_NO" value="<%=vo.get("WRITE_NO") %>" />
<input type="hidden" name="WRITE_NM" id="WRITE_NM" value="<%=vo.get("WRITE_NM") %>" /><!--2016.4.21 본사담당자 평가 내용 저장  -->
<input type="hidden" name="CHARGE_CD" id="CHARGE_CD" value="<%=params.get("P_CHARGE_CD") %>" /><!--2016.4.21 본사담당자C,현장담당자S 구분  -->

<input type="hidden" name="arr_id" id="arr_id" value="<%=vo.get("arr_id") %>" />
<input type="hidden" name="p_status" id="p_status" value="<%=params.get("p_status")%>" />


 
<div style="width: 100%; text-align: center; margin-top: 10px; margin-bottom: 15px;" >
	<span style="font-size: 15px; font-weight: bold;">협력업체 준공 평가표(<%=params.get("doc_cd").equals("03") ? "Manufacturer" : params.get("doc_cd").equals("04") ? "Agent" : ""  %>)</span>
</div>


<div style="width: 100%; vertical-align: middle; float: left; text-align: left; padding-bottom: 8px;" >
	평가자 : <%=params.get("user_nm_before") %>
</div>
 
<div style="width: 100%; vertical-align: middle; float: left; text-align: left; padding-bottom: 8px;"  >
	평가일 : <%=params.get("dt_before")%>
</div>

<div style="width: 100%; vertical-align: middle; float: left; text-align: left; padding-bottom: 8px;"  >
	업체명 : <%=params.get("corp_kor") %>	
</div>


<table cellspacing="0" cellpadding="0" border="1" bordercolordark="#FFFFF" bordercolorlight="#d2d2d2" class="input_table" style="width: 100%;">
<col width="7%">
<col width="7%">
<col width="14%">
<col width="7%">
<col width="7%">
<col width="7%">
<col width="7%">
<col width="7%">
<col width="7%">
<col width="14%">
<!-- <col width="*"> -->

	<tr style="height: 23px;">
		<td class="insert_table_title" colspan="3" style="text-align: center;">평가항목</td>
		<td class="insert_table_title" rowspan="2" style="text-align: center;">배당점수</td>
		<td class="insert_table_title" rowspan="2" style="text-align: center; text-indent : 0px;">평가점수</td>
		<td class="insert_table_title" colspan="5" style="text-align: center;">배점기준</td>
		<td class="insert_table_title" rowspan="2" style="text-align: center;">평가사유</td>
	</tr>
	
	<tr style="height: 23px;">
		<td class="insert_table_title" style="text-align: center;">대분류</td>
		<td class="insert_table_title" style="text-align: center;">중분류</td>
		<td class="insert_table_title" style="text-align: center;">세부항목</td>
		<td class="insert_table_title" style="text-align: center;">S</td>
		<td class="insert_table_title" style="text-align: center;">A</td>
		<td class="insert_table_title" style="text-align: center;">B</td>
		<td class="insert_table_title" style="text-align: center;">C</td>
		<td class="insert_table_title" style="text-align: center;">D</td>
	</tr>
	
	<% 
		String chk = "";
		int idx = 0;
		int sum_stock_rate = 0;
		int all_sum_stock_rate = 0;
		String appr_cd = "";
		for(int i=0; i < getApprSrdList.size(); i++)
		{
    %>
    
    <tr>
        <td class="insert_table_title gubun" style="text-indent: 0px;"><%=getApprSrdList.getRow(i).get("GUBUN_1") %></td>
   		<td class="insert_table_title gubun" style="text-indent: 0px;"><%=getApprSrdList.getRow(i).get("GUBUN_2") %></td>
   		<td class="insert_table_title gubun" style="text-indent: 0px; text-align: left;"><%=getApprSrdList.getRow(i).get("GUBUN_3") %></td>
   		<td class="insert_table_title" style="text-align: center; text-indent: 0px;"><%=getApprSrdList.getRow(i).get("STOCK_RATE") %></td>
   		<td style="text-align: center; text-indent: 0px;">
   			<div id="result_<%=i%>">0</div>
   			<div style="display: none;"><input type="text" name="appr_cd_<%=i %>" id="appr_cd_<%=i %>"  value="<%=getApprSrdList.getRow(i).get("APPR_CD") %>" /></div>
   			<div style="display: none;"><input type="text" name="chkResultCd_<%=i %>" id="chkResultCd_<%=i %>"  value="" /></div>
   		</td>   		
   		<td style="text-align: center; text-indent: 0px;"><input type="radio" name="test_<%=i %>" id="test_1_<%=i %>" value="<%=getApprSrdList.getRow(i).get("A_RATE").replace("점", "") %>" onclick="test(this, '<%=getApprSrdList.getRow(i).get("APPR_CD").substring(0,2)%>');" <%=getApprSrdList.getRow(i).get("A_RATE").replace("점", "").equals(getApprSrdList.getRow(i).get("APPR_RATE")) ? "checked=\"checked\" " : ""%> /><div>(<%=getApprSrdList.getRow(i).get("A_RATE") %>)</div></td>
   		<td style="text-align: center; text-indent: 0px;"><input type="radio" name="test_<%=i %>" id="test_2_<%=i %>" value="<%=getApprSrdList.getRow(i).get("B_RATE").replace("점", "") %>" onclick="test(this, '<%=getApprSrdList.getRow(i).get("APPR_CD").substring(0,2)%>');" <%=getApprSrdList.getRow(i).get("B_RATE").replace("점", "").equals(getApprSrdList.getRow(i).get("APPR_RATE")) ? "checked=\"checked\" " : ""%> /><div>(<%=getApprSrdList.getRow(i).get("B_RATE") %>)</div></td>
   		<td style="text-align: center; text-indent: 0px;"><input type="radio" name="test_<%=i %>" id="test_3_<%=i %>" value="<%=getApprSrdList.getRow(i).get("C_RATE").replace("점", "") %>" onclick="test(this, '<%=getApprSrdList.getRow(i).get("APPR_CD").substring(0,2)%>');" <%=getApprSrdList.getRow(i).get("C_RATE").replace("점", "").equals(getApprSrdList.getRow(i).get("APPR_RATE")) ? "checked=\"checked\" " : ""%> /><div>(<%=getApprSrdList.getRow(i).get("C_RATE") %>)</div></td>
   		<td style="text-align: center; text-indent: 0px;"><input type="radio" name="test_<%=i %>" id="test_4_<%=i %>" value="<%=getApprSrdList.getRow(i).get("D_RATE").replace("점", "") %>" onclick="test(this, '<%=getApprSrdList.getRow(i).get("APPR_CD").substring(0,2)%>');" <%=getApprSrdList.getRow(i).get("D_RATE").replace("점", "").equals(getApprSrdList.getRow(i).get("APPR_RATE")) ? "checked=\"checked\" " : ""%> /><div>(<%=getApprSrdList.getRow(i).get("D_RATE") %>)</div></td>
   		<td style="text-align: center; text-indent: 0px;"><input type="radio" name="test_<%=i %>" id="test_5_<%=i %>" value="<%=getApprSrdList.getRow(i).get("E_RATE").replace("점", "") %>" onclick="test(this, '<%=getApprSrdList.getRow(i).get("APPR_CD").substring(0,2)%>');" <%=getApprSrdList.getRow(i).get("E_RATE").replace("점", "").equals(getApprSrdList.getRow(i).get("APPR_RATE")) ? "checked=\"checked\" " : ""%> /><div>(<%=getApprSrdList.getRow(i).get("E_RATE") %>)</div></td>
   		<td style="text-align: left; text-indent: 0px;"><textarea maxlength="250" cols="95%" name="appr_reason_<%=i %>" id="appr_reason_<%=i %>" style="width:98%" ><%=getApprSrdList.getRow(i).get("APPR_REASON") %></textarea></td>
   	</tr>
   	
   	
   	<%
			sum_stock_rate += Integer.parseInt(getApprSrdList.getRow(i).get("STOCK_RATE"));
   			all_sum_stock_rate += sum_stock_rate;
			sum_stock_rate = 0;
			idx++;
		}%>
	
	<tr height="25">
 		<td class="insert_table_title gubun" colspan="3" align="center" style="text-indent: 0px;">합계</td>
 		<td style="text-align: center;" class="insert_table_title" style="text-indent: 0px;">
 			<div name="total_rate" id="total_rate">
 			<%=all_sum_stock_rate %>
 			</div>
 		</td>
 		<td style="text-align: center;" class="insert_table_title" style="text-indent: 0px;">
 			<div id="total_value">0</div>
 		</td>
 		<td style="text-align: center;" class="insert_table_title" style="text-indent: 0px;" colspan="6">
 		&nbsp;
 		</td>
 	</tr>

<div style="margin-top: 15px; width:100%; text-align: left;"></div>
<table cellspacing="0" cellpadding="0" border="1" bordercolordark="#FFFFF" bordercolorlight="#d2d2d2" class="input_table" style="width:100%;">
 		<col width="15%" />
 		<col width="8%" />
 		<col width="5%" />
 		<col width="5%" />
 		<col width="5%" />
 		<col width="5%" />
 		<col width="5%" />
 		<col width="*" />
 		<!-- <col width="3%" /> -->
		<tr>
			<td class="insert_table_title"  style="text-align: center; text-indent: 0px;" colspan="2">등급 기준 - 기자재평가표 반영</td>
			<td class="insert_table_title"  style="text-align: center; text-indent: 0px;" >S</td>
			<td class="insert_table_title"  style="text-align: center; text-indent: 0px;" >A</td>
			<td class="insert_table_title"  style="text-align: center; text-indent: 0px;" >B</td>
			<td class="insert_table_title"  style="text-align: center; text-indent: 0px;" >C</td>
			<td class="insert_table_title"  style="text-align: center; text-indent: 0px;" >D</td>
			<td class="insert_table_title"  style="text-align: center; text-indent: 0px;" >REMARK</td>
			<!-- <td class="insert_table_title"  style="text-align: center; text-indent: 0px;" >결재첨부</td> -->
		</tr>
		<tr>
			<td class="insert_table_title"  style="text-align: center; text-indent: 0px;" >공종별 등급 기준</td>
			<td class="insert_table_title"  style="text-align: center; text-indent: 0px;" >
				<div style="float: center; height: 30px; line-height: 30px;" id="total_level">등급</div>
			</td>
			<td class="insert_table_title"  style="text-align: center; text-indent: 0px;" >55점↑</td>
			<td class="insert_table_title"  style="text-align: center; text-indent: 0px;" >50점↑</td>
			<td class="insert_table_title"  style="text-align: center; text-indent: 0px;" >45점↑</td>
			<td class="insert_table_title"  style="text-align: center; text-indent: 0px;" >35점↑</td>
			<td class="insert_table_title"  style="text-align: center; text-indent: 0px;" >34점↓</td>
			<td class="insert_table_title"  style="text-align: center; text-indent: 0px;" >
				<textarea cols="95%" name="appr_note" id="appr_note" style="width:98%" ><%=vo.get("appr_note") %></textarea>
			</td>
			<!-- <td style="text-align: center; text-indent: 0px;" >
				<IMG id='search_spot_button' onClick="doAttachFile(document.form1.cont_id);" src='/img/buyer/button/bt_change.gif' border='0'  align="top" align='absmiddle' alt='[Attach File]' style='cursor:pointer;'>
			</td> -->
		</tr>
</table>		

<div style="width: 100%; text-align: center; margin-top: 20px;">
	<span id="save" name="save" class="btnSearch center"><a href="javascript:void(0);" id="btn_save">저장</a></span>
	<span id="close" name="close" class="btnSearch center"><a href="javascript:void(0);" id="btn_close">닫기</a></span>	
</div>
 
</form>